## org.omg.CORBA
Class completion_status

    java.lang.Object
      |
      +--org.omg.CORBA.completion_status

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class completion_status
extends java.lang.Object
implements IDLEntity

Enum definition : completion_status

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` `_COMPLETED_MAYBE` Enum member COMPLETED_MAYBE value
`static int` `_COMPLETED_NO` Enum member COMPLETED_NO value
`static int` `_COMPLETED_YES` Enum member COMPLETED_YES value
`static completion_status` `COMPLETED_MAYBE` Enum member COMPLETED_MAYBE
`static completion_status` `COMPLETED_NO` Enum member COMPLETED_NO
`static completion_status` `COMPLETED_YES` Enum member COMPLETED_YES

Method Summary
`static completion_status` `from_int(int value)` Return a enum member from its value
`java.lang.Object` `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` `toString()` Return a string representation
`int` `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _COMPLETED_YES

    public static final int _COMPLETED_YES

  Enum member COMPLETED_YES value

### COMPLETED_YES

    public static final completion_status COMPLETED_YES

  Enum member COMPLETED_YES

### _COMPLETED_NO

    public static final int _COMPLETED_NO

  Enum member COMPLETED_NO value

### COMPLETED_NO

    public static final completion_status COMPLETED_NO

  Enum member COMPLETED_NO

### _COMPLETED_MAYBE

    public static final int _COMPLETED_MAYBE

  Enum member COMPLETED_MAYBE value

### COMPLETED_MAYBE

    public static final completion_status COMPLETED_MAYBE

  Enum member COMPLETED_MAYBE

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static completion_status from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration